Ignore:
Timestamp:
May 9, 2019 2:19:50 PM (11 months ago)
Author:
zzz <zzz@…>
Branches:
master
Children:
de8a079
Parents:
be6b200
Message:

Wrapper: Update to wrapper 3.5.39
All binaries from Tanuki Delta Pack Community Edition,
except for armhf (armv6), compiled on Raspberry Pi:

ant 1.8.2
javac 1.7.0_151
gcc 4.6.3-14+rpi1

Added linux-armv7 and linux64-armv8

Windows binaries remain unchanged as we must recompile them ourselves
(32 bit just to change the icon; 64 bit is not provided by Tanuki)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • installer/resources/postinstall.sh

    rbe6b200 rfc8b55df  
    4141        # Tanuki-built arm wrapper works on armv5 and armv7 but not on Raspberry Pi armv6.
    4242        # Wrapper we built for Raspberry Pi does not work on Trimslice armv7.
    43         if [ `echo $OS_ARCH |grep armv7` ]; then
    44             wrapperpath="./lib/wrapper/linux-armv5"
     43        if [ `echo $OS_ARCH |grep armv8` ]; then
     44            wrapperpath="./lib/wrapper/linux64-armv8"
     45        elif [ `echo $OS_ARCH |grep aarch64` ]; then
     46            wrapperpath="./lib/wrapper/linux64-armv8"
     47        elif [ `echo $OS_ARCH |grep armv7` ]; then
     48            wrapperpath="./lib/wrapper/linux-armv7"
    4549        elif [ `echo $OS_ARCH |grep armv6` ]; then
    4650            wrapperpath="./lib/wrapper/linux-armv6"
Note: See TracChangeset for help on using the changeset viewer.